Subject: Re: [suggestion] support non-negative float number in git-repack --max-pack-size

From: Junio C Hamano <[email-masked]>
Date: Tue, 08 Jun 2021 16:04:23 +0900

Jeff King <[email-masked]> writes:

> On Mon, Jun 07, 2021 at 01:42:47PM +0700, Bagas Sanjaya wrote:
>
>> I would like to create packfiles with charm-numbered size (that is for
>> example use 49.99M instead of 50M) with git-repack:
>> 
>> $ git repack --max-pack-size=49.99M -a -d
>
> The parser for numbers with units is shared by many options and config
> variables. In general, I'm not really opposed to allowing floating point
> values which get rounded to the nearest byte for any of them. So no
> objection for the general feature if somebody wants to implement it.
>
> But I would note that --max-pack-size is almost never a good idea in
> general. I don't know what you think it's accomplishing, but it is
> probably making your repository larger than it needs to be, as well as
> less performant.

Perhaps a doc update is in order?  It might have been cute and
superficially useful to be able to cut packfiles in 650M chunks to
fit on a CD-ROM, but I suspect that it would be more useful to feed
a single large file to a generic multi-volume archive tool and let
it split it to fit the physical volume the tool deals with.